#
# spec file for package nutch (Version 1.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           nutch
Version:        1.0
Release:        1.3
Summary:        Open source web-search software

Group:          Development/Tools
License:        The Apache Software License
Url:            http://lucene.apache.org/nutch/index.html
Source0:        http://hudson.zones.apache.org/hudson/job/Nutch-trunk/647/artifact/trunk/build/nutch-2008-12-01_04-01-21.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  unzip
Requires:       java >= 1.5.0 unzip

%description
Nutch is open source web-search software. It builds on Lucene Java,
adding web-specifics, such as a crawler, a link-graph database, parsers
for HTML and other document formats, etc.



%prep
%setup -q -n nutch-2008-12-01_04-01-21

%build
#removing the hadoop JNI code
rm -fr ./lib/native/Linux-amd64-64
rm -fr ./lib/native/Linux-i386-32

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/%{_prefix}/share/nutch
cp -a * $RPM_BUILD_ROOT/%{_prefix}/share/nutch

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755, root, root) %{_prefix}/share/nutch/bin/*
%dir %{_prefix}/share/nutch
%{_prefix}/share/nutch/*

%changelog
* Thu Dec  9 2010 mc@suse.de
- initial release
